%define upstream_name    Net-Libdnet
%define upstream_version 0.98

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl interface to libdnet
License:    BSD
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Gomor)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libdnet-devel
BuildRequires: perl-devel
%description
perl-Net-Libdnet provides perl bindings to the dnet library

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%serverbuild
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$CFLAGS" LIBS="-L%{_libdir} -ldnet" INC="-I%{_includedir}"
%make LD_RUN_PATH=""

%check
make test

%install
%makeinstall_std

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net
%{_mandir}/man?/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.980.0-4.mga4
+ Revision: 524420
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.980.0-3.mga4
+ Revision: 430920
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.980.0-2.mga3
+ Revision: 370745
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.980.0-1.mga3
+ Revision: 342439
- update to 0.98

* Tue Nov 06 2012 jquelin <jquelin> 0.970.0-1.mga3
+ Revision: 315208
- update to 0.97

* Wed May 30 2012 jquelin <jquelin> 0.960.0-2.mga3
+ Revision: 250993
- rebuild for perl 5.16

* Thu Dec 08 2011 kharec <kharec> 0.960.0-1.mga2
+ Revision: 179228
- update to 0.96

* Sun Jun 12 2011 sander85 <sander85> 0.940.0-2.mga2
+ Revision: 104843
- Rebuild for perl 5.14

* Wed Feb 16 2011 jquelin <jquelin> 0.940.0-1.mga1
+ Revision: 52603
- update to 0.94

* Sat Jan 22 2011 jquelin <jquelin> 0.920.0-1.mga1
+ Revision: 30927
- mageia rebuild
- imported package perl-Net-Libdnet


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.920.0-1mdv2010.0
+ Revision: 404095
- rebuild using %%perl_convert_version

* Sun May 17 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.92-1mdv2010.0
+ Revision: 376727
- update to new version 0.92

* Tue Dec 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.91-1mdv2009.1
+ Revision: 312183
- update to new version 0.91

* Tue Dec 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.90-1mdv2009.1
+ Revision: 309340
- new version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.01-6mdv2009.0
+ Revision: 258054
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.01-5mdv2009.0
+ Revision: 246154
- rebuild

* Wed Jan 23 2008 Thierry Vignaud <tv@mandriva.org> 0.01-3mdv2008.1
+ Revision: 157264
- rebuild with fixed %%serverbuild macro

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.01-2mdv2008.1
+ Revision: 152220
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.0
+ Revision: 53925
- Import perl-Net-Libdnet



* Fri Jul 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.01-1mdv2008.0
- initial Mandriva package
